package com.supwisdom.institute.backend.admin.aggr.apis.remote.biz.configuration;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;

import com.supwisdom.institute.backend.common.core.feign.FeignClientBuilder;

import feign.Client;

public class BizFeignClientConfiguration {

  @Bean
  public Client feignClient(
      @Value("${sw-backend-biz-api.client-auth.enabled:false}") boolean enabled,
      @Value("${sw-backend-biz-api.client-auth.key-password:}") String keyPassword,
      @Value("${sw-backend-biz-api.client-auth.key-store:}") String keyStore,
      @Value("${sw-backend-biz-api.client-auth.key-store-password:}") String keyStorePassword,
      @Value("${sw-backend-biz-api.client-auth.trust-store:}") String trustStore,
      @Value("${sw-backend-biz-api.client-auth.trust-store-password:}") String trustStorePassword) {
    
    return FeignClientBuilder.builder()
      .enabled(enabled)
      .keyPassword(keyPassword)
      .keyStore(keyStore)
      .keyStorePassword(keyStorePassword)
      .trustStore(trustStore)
      .trustStorePassword(trustStorePassword)
      .build()
      .client();
  }

}
